Up

# NSStringAdditions

### Authors

Richard Frith-Macdonald (`richard@brainstorm.co.uk`)
Alexander Malmberg (`alexander@malmberg.org`)

> Categories which add drawing capabilities to NSAttributedString and NSString.

Copyright: (C) 1999, 2003 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSAttributedString(NSStringDrawing) category
2. Software documentation for the NSString(NSStringDrawing) category

# Software documentation for the NSAttributedString(NSStringDrawing) category

## NSAttributedString(NSStringDrawing)

> Declared in:
>   AppKit/NSStringDrawing.h

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

Method summary

- -drawAtPoint:
- -drawInRect:
- -size

### drawAtPoint:

- (void) drawAtPoint: (NSPoint)point;

Description forthcoming.

### drawInRect:

- (void) drawInRect: (NSRect)rect;

Description forthcoming.

### size

- (NSSize) size;

Description forthcoming.

# Software documentation for the NSString(NSStringDrawing) category

## NSString(NSStringDrawing)

> Declared in:
>   AppKit/NSStringDrawing.h

> Standards:
> - MacOS-X
> - NotOpenStep
> - GNUstep

Description forthcoming.

Method summary

- -drawAtPoint:withAttributes:
- -drawInRect:withAttributes:
- -sizeWithAttributes:

### drawAtPoint:withAttributes:

- (void) drawAtPoint: (NSPoint)point withAttributes: (NSDictionary*)attrs;

Description forthcoming.

### drawInRect:withAttributes:

- (void) drawInRect: (NSRect)rect withAttributes: (NSDictionary*)attrs;

Description forthcoming.

### sizeWithAttributes:

- (NSSize) sizeWithAttributes: (NSDictionary*)attrs;

Description forthcoming.

Up